Package io.vertx.mssqlclient

## Class MSSQLInfo

- java.lang.Object
- - io.vertx.mssqlclient.MSSQLInfo

-     public class MSSQLInfo
      extends Object

  An information message sent by the server to the client.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MSSQLInfo()` |
    `MSSQLInfo​(JsonObject json)` |
    `MSSQLInfo​(MSSQLInfo other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLineNumber()` |
    `String` | `getMessage()` |
    `int` | `getNumber()` |
    `String` | `getProcedureName()` |
    `String` | `getServerName()` |
    `byte` | `getSeverity()` |
    `byte` | `getState()` |
    `MSSQLInfo` | `setLineNumber​(int lineNumber)` |
    `MSSQLInfo` | `setMessage​(String message)` |
    `MSSQLInfo` | `setNumber​(int number)` |
    `MSSQLInfo` | `setProcedureName​(String procedureName)` |
    `MSSQLInfo` | `setServerName​(String serverName)` |
    `MSSQLInfo` | `setSeverity​(byte severity)` |
    `MSSQLInfo` | `setState​(byte state)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MSSQLInfo

          public MSSQLInfo()

    - #### MSSQLInfo

          public MSSQLInfo​(MSSQLInfo other)

    - #### MSSQLInfo

          public MSSQLInfo​(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getNumber

          public int getNumber()

    - #### setNumber

          public MSSQLInfo setNumber​(int number)

    - #### getState

          public byte getState()

    - #### setState

          public MSSQLInfo setState​(byte state)

    - #### getSeverity

          public byte getSeverity()

    - #### setSeverity

          public MSSQLInfo setSeverity​(byte severity)

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public MSSQLInfo setMessage​(String message)

    - #### getServerName

          public String getServerName()

    - #### setServerName

          public MSSQLInfo setServerName​(String serverName)

    - #### getProcedureName

          public String getProcedureName()

    - #### setProcedureName

          public MSSQLInfo setProcedureName​(String procedureName)

    - #### getLineNumber

          public int getLineNumber()

    - #### setLineNumber

          public MSSQLInfo setLineNumber​(int lineNumber)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`